### Method

# Gio TlsDatabase lookup_certificate_issuer_async

since: 2.30

#### Declaration

    void
    g_tls_database_lookup_certificate_issuer_async (
      GTlsDatabase* self,
      GTlsCertificate* certificate,
      GTlsInteraction* interaction,
      GTlsDatabaseLookupFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously look up the issuer of `certificate` in the database. See `g_tls_database_lookup_certificate_issuer()` for more information.

Available since: 2.30

This method completes asynchronously. Use `g_tls_database_lookup_certificate_issuer_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`certificate`

  Type: `GTlsCertificate`

  A `GTlsCertificate`.

  The data is owned by the caller of the method.

`interaction`

  Type: `GTlsInteraction`

  Used to interact with the user if necessary.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `GTlsDatabaseLookupFlags`

  Flags which affect the lookup operation.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.